julia - 使用 PlutoUI 和 CairoMakie 时的滑块功能

我想使用 PlutoUI 中使用的 Slider 功能,但我也使用 CairoMakie package。当我运行我的代码时,我被告知因为 packages 都使用了命令“Slider”,所以它的使用应该是合格的。但是,我不知道如何确保这一点:

我的代码:md"Balance between complete and ring network ``\theta``: $(@bind frac_interaction_interbank Slider(0:0.1:1, show_value = true, default = 0))"

当我运行它时,我收到以下警告消息:WARNING: both CairoMakie and PlutoUI export "Slider"; uses of it in module workspace#7 must be qualified

因此:如何在同时使用 PlutoUI 和 CairoMakie 的同时使用 PlutoUI 中使用的 Slider 功能?

回答1

试试 PlutoUI.Slider(0:0.1:1)

警告意味着 packages 都定义了一个名为“Slider”的函数。限定(在此上下文中)意味着指定您正在调用的 package 定义。

相似文章

julia - 如何防止删除的包在 Julia 中被更新?

这个问题的标题乍一看似乎令人困惑,但它是有效的。我前段时间安装了Makie.jl包,然后使用pkg>rmMakie成功将其删除。今天我尝试使用pkg>up更新所有可用的软件包(如果有的话)。但我得到了...